//+------------------------------------------------------------------+
//|                                                The first one.mq5 |
//|                                                     Matthew Revo |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Matthew Revo"
#property link      "https://www.mql5.com"
#property version   "1.00"

//Include fuctions
#include <Trade\Trade.mqh>      //Include MQL trade object function
CTrade *Trade;                  //Declare Trade as pointer to CTrade class

//Setup Variables
input int                          InpMagicNumber  = 200001;
input string                       InpTradeComment = __FILE__;



//Global Variables
int TicksReseivedCount = 0;

int HandleROC;
int HandleMA;
int HandleEMA;
int HandleRSI;
int HandleADX;
int HandleCCI;





//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---


   //Declare magic number for all trades
   Trade = new CTrade();
   Trade.SetExpertMagicNumber(InpMagicNumber);
   
   
   HandleMA = iMA(Symbol(), PERIOD_M15, 26, 0, MODE_SMA, PRICE_MEDIAN);
   Print("Handle for MA /", Symbol(), "/", EnumToString(Period()), "successefully created");
   HandleEMA = iMA(Symbol(), PERIOD_M15, 8, 0, MODE_EMA, PRICE_CLOSE);
   Print("Handle for EMA /", Symbol(), "/", EnumToString(Period()), "successefully created");
   HandleROC = iCustom(Symbol(), PERIOD_M15, "ROC", 14, PRICE_LOW);
   Print("Handle for ROC /", Symbol(), "/", EnumToString(Period()), "successefully created");
   HandleRSI = iRSI(Symbol(), PERIOD_M15, 20, PRICE_CLOSE);
   Print("Handle for RSI /", Symbol(), "/", EnumToString(Period()), "successefully created");
   HandleADX = iADX(Symbol(), PERIOD_M15, 12);
   Print("Handle for ADX /", Symbol(), "/", EnumToString(Period()), "successefully created");
   HandleCCI = iCCI(Symbol(),PERIOD_M15, 25, PRICE_MEDIAN);
   Print("Handle for CCI /", Symbol(), "/", EnumToString(Period()), "successefully created");
   
   
   
   
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   
   //Remove indicator handle from MetaTrader Cache
   IndicatorRelease(HandleMA);
   Print("Handle released");
   IndicatorRelease(HandleEMA);
   Print("Handle released");
   IndicatorRelease(HandleROC);
   Print("Handle released");
   IndicatorRelease(HandleRSI);
   Print("Handle released");
   IndicatorRelease(HandleADX);
   Print("Handle released");
   IndicatorRelease(HandleCCI);
   
   
   
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---

   string IndicatorMetrics = "";
   TicksReseivedCount++; //Counts of number ticks received

  
   
   
   
   
   
   
   Comment("\n\rExpert: ", InpMagicNumber, "\n\r",
           "MT5 Server Time: ", TimeCurrent(), "\n\r"
           "Ticks Received: ", TicksReseivedCount, "\n\r\n\r"
           "Symbols Traded: \n\r",
           Symbol()); 
  }
//+------------------------------------------------------------------+
